package com.ruoyi.common.enums;

/**
 * 用户状态
 *
 * @author ddwb
 */
public enum OpenapiRequestStep {
    Abstract(1, "摘要"),
    Outline(2, "提纲"),
    Content(3, "正文");

    private final Integer code;
    private final String info;

    OpenapiRequestStep(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    public static OpenapiRequestStep getOpenapiRequestStep(Integer code) {
        for (OpenapiRequestStep openapiRequestStep : OpenapiRequestStep.values()) {
            if (openapiRequestStep.getCode().equals(code)) {
                return openapiRequestStep;
            }
        }
        return null;
    }
}
